Bug 434437 - Mobile and Desktop playlists differ in appearance and what they're good at displaying
Summary: Mobile and Desktop playlists differ in appearance and what they're good at di...
Status: CONFIRMED
Alias: None
Product: Elisa
Classification: Applications
Component: general (show other bugs)
Version: 20.12.3
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Matthieu Gallien
URL:
Keywords:
: 437730 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-03-15 12:49 UTC by popov895
Modified: 2022-06-03 20:21 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Desktop view vs mobile view (182.66 KB, image/png)
2021-03-15 12:49 UTC, popov895
Details

Note You need to log in before you can comment on or make changes to this bug.
Description popov895 2021-03-15 12:49:33 UTC
Created attachment 136691 [details]
Desktop view vs mobile view

SUMMARY

Add the option to display the playlist as a simple list (same as for mobile). Currently on desktop the playlist looks weird when you give it a collection of songs from different albums. 

SOFTWARE/OS VERSIONS

Linux/KDE Plasma: KDE neon 5.21 User Edition / X11
KDE Plasma Version: 5.21.2
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2
Comment 1 Nate Graham 2021-03-15 21:30:15 UTC
Yeah IMO we need to unify these into a single view that displays nicely for both the "whole albums" and "all songs from different albums" use cases.
Comment 2 Nate Graham 2021-05-27 15:33:26 UTC
*** Bug 437730 has been marked as a duplicate of this bug. ***
Comment 3 Nate Graham 2022-02-21 18:42:46 UTC
Git commit 5d8c2630d8b113c3f3a7779e299cd43c2234614a by Nate Graham, on behalf of Tranter Madi.
Committed on 21/02/2022 at 18:42.
Pushed by ngraham into branch 'master'.

Make more use of Kirigami stuff

- Use Kirigami stuff instead of handmade ones.
- `alternativeBackground` should only be used when section is not used.
Related: bug 448461, bug 447984
FIXED-IN: 22.04

M  +0    -1    src/CMakeLists.txt
M  +4    -8    src/qml/BasicPlayListAlbumHeader.qml
M  +0    -2    src/qml/ContentView.qml
D  +0    -254  src/qml/DraggableItem.qml
M  +0    -2    src/qml/ElisaMainWindow.qml
M  +1    -3    src/qml/HeaderBar.qml
M  +100  -161  src/qml/MediaPlayListView.qml
M  +209  -249  src/qml/PlayListEntry.qml
M  +32   -50   src/qml/SimplePlayListView.qml
M  +130  -168  src/qml/mobile/MobilePlayListDelegate.qml
M  +29   -3    src/qml/shared/BasePlayListDelegate.qml
M  +0    -1    src/resources.qrc

https://invent.kde.org/multimedia/elisa/commit/5d8c2630d8b113c3f3a7779e299cd43c2234614a
Comment 4 Nate Graham 2022-03-08 04:00:33 UTC
Git commit ac4e1b5497e5c1ed903478175793579bd55125f5 by Nate Graham, on behalf of Tranter Madi.
Committed on 08/03/2022 at 04:00.
Pushed by ngraham into branch 'master'.

Improve playlist button handling

- Avoid the label overlapping the hovering buttons when the width of
the playlist is small enough and the user clicks the play button
- Collapse button row into a menu when playlist is very narrow
- Use better icon for "remove"
- Remove some unneeded code
FIXED-IN: 22.04

M  +22   -0    src/qml/BaseTheme.qml
M  +4    -24   src/qml/ContentView.qml
M  +147  -119  src/qml/PlayListEntry.qml

https://invent.kde.org/multimedia/elisa/commit/ac4e1b5497e5c1ed903478175793579bd55125f5
Comment 5 Nate Graham 2022-04-04 19:27:15 UTC
Git commit 76972cecb45d2cc841e8569b42826ac55e695ad5 by Nate Graham, on behalf of Tranter Madi.
Committed on 04/04/2022 at 19:27.
Pushed by ngraham into branch 'master'.

Dynamically switch between album-style and standalone-song-style playlist items

Now the style of playlist items will be dynamically changed according to whether
they are part of an album with other songs from the same album, or if they are
alone and their neighbors are both from different albums.

M  +1    -12   src/qml/BaseTheme.qml
M  +18   -23   src/qml/BasicPlayListAlbumHeader.qml
M  +90   -34   src/qml/MediaPlayListView.qml
M  +91   -40   src/qml/PlayListEntry.qml
M  +48   -30   src/qml/SimplePlayListView.qml

https://invent.kde.org/multimedia/elisa/commit/76972cecb45d2cc841e8569b42826ac55e695ad5
Comment 6 Nate Graham 2022-06-03 20:21:02 UTC
Git commit 0d8c7b859d11f4d59882c3cf5076353d06ba28b8 by Nate Graham.
Committed on 03/06/2022 at 20:03.
Pushed by ngraham into branch 'master'.

Play song in playlist when tapped with a touchscreen

Double-click isn't a thing on touch; people expect things to react on a
single tap. Let's honor that assumption by making playlist items play
when tapped once with a tochscreen. To make the extra actions for
unselected songs more accessible, now playlist items' overflow menu
buttons are always visible.
Related: bug 454343
FIXED-IN: 22.08

M  +3    -3    src/qml/PlayListEntry.qml
M  +2    -2    src/qml/shared/BasePlayListDelegate.qml

https://invent.kde.org/multimedia/elisa/commit/0d8c7b859d11f4d59882c3cf5076353d06ba28b8